Reference

API reference

REST endpoints for programmatic control of conversations, customers and broadcasts.

By ReplyFront Team · Last updated June 19, 2026

Beta
Public REST API is in beta on Pro+. Endpoints below are stable; please email us at [email protected] for an API key.

Authentication

Send your secret key as a Bearer token. Never expose secret keys in browser code.

HTTP
Authorization: Bearer sk_live_yourSecretKey

Send a message

HTTP
POST https://app.replyfront.com/api/v1/messages
{
  "conversationId": "conv_abc123",
  "role": "agent",
  "content": "Hi! Your refund is processed."
}

Identify a customer

HTTP
POST https://app.replyfront.com/api/v1/customers/identify
{
  "channel": "web",
  "externalId": "shop-customer-1042",
  "email": "[email protected]",
  "tags": ["vip"]
}

Schedule a broadcast

HTTP
POST https://app.replyfront.com/api/v1/broadcasts
{
  "channelKind": "web",
  "subject": "Black Friday teaser",
  "body": "30% off ends tonight — shop now: https://...",
  "audience": { "tagsAny": ["vip", "lapsed"] },
  "sendAt": "2026-04-25T12:00:00Z"
}